import 'package:flutter/material.dart';

class FormularioCategoria extends StatefulWidget {
  const FormularioCategoria({super.key});

  @override
  _FormularioCategoriaState createState() => _FormularioCategoriaState();
}

class _FormularioCategoriaState extends State<FormularioCategoria> {
  final _nombreController = TextEditingController();
  final _claveController = TextEditingController();

  @override
  void dispose() {
    _nombreController.dispose();
    _claveController.dispose();
    super.dispose();
  }

  void _guardarCategoria() {
    final nombre = _nombreController.text; // se obtiene el calor de nombre y clave
    final clave = _claveController.text;

    if (nombre.isEmpty || clave.isEmpty) {

      ScaffoldMessenger.of(context).showSnackBar(
        const SnackBar(content: Text('Por favor, complete todos los campos')),
      );
      return;
    }

    final fechaCreado = DateTime.now().millisecondsSinceEpoch;

    final categoria = {
      "clave": clave,
      "fechaCreado": fechaCreado,
      "nombre": nombre,
    };

    print(categoria);

    Navigator.pop(context);
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Agregar Categoría'),
      ),
      body: Padding(
        padding: const EdgeInsets.all(16.0),
        child: Column(
          children: <Widget>[
            TextField(
              controller: _claveController,
              decoration: const InputDecoration(labelText: 'Clave'),
              keyboardType: TextInputType.text,
            ),
            const SizedBox(height: 16),
            TextField(
              controller: _nombreController,
              decoration: const InputDecoration(labelText: 'Nombre'),
              keyboardType: TextInputType.text,
            ),
            const SizedBox(height: 16),
            ElevatedButton(
              onPressed: _guardarCategoria,
              child: const Text('GUARDAR'),
            ),
          ],
        ),
      ),
    );
  }
}
